Bug 85234 - gtk theme needs to handle RTL drawing
gtk theme needs to handle RTL drawing
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-artwork (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-26 16:14 EST by Jonathan Blandford
Modified: 2013-04-02 00:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 07:30:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2003-02-26 16:14:33 EST
The bluecurve gtk2 theme doesn't handle RTL text at all.  For example, the
optionmenu draws the vertical bar on the right independent of the current
orientation.  The default gtkstyle.c has 7 rtl specific changes.  I don't know
how many are relevant, but it would be good to go through and get it working.
Comment 1 Mohamed Eldesoky 2004-08-02 07:20:01 EDT
It is not solved yet, and we have another bug report here !! 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=128721 
Comment 2 Alexander Larsson 2004-09-14 07:30:44 EDT
This is fixed in 0.100.

Note You need to log in before you can comment on or make changes to this bug.